# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(HTML/Selector/XPath.pm) perl(LWP/Simple.pm) perl(Path/Class.pm) perl(URI.pm) perl(charnames.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
BuildRequires: perl(Encode/JP.pm)
BuildRequires: perl-Encode-devel
Name:           perl-Encode-JP-Mobile
Version:        0.30
Release:        alt1_2
Summary:        Japan mobile phone Shift_JIS (CP932) / UTF-8 encoding
Summary(ja_JP): 日本の携帯電話向け Shift_JIS (CP932) / UTF-8 エンコーディング
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Encode-JP-Mobile/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Encode-JP-Mobile-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl(Config.pm)
BuildRequires:  perl-Encode-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Encode/Alias.pm)
BuildRequires:  perl(Encode/CJKConstants.pm)
BuildRequires:  perl(Encode/Encoding.pm)
BuildRequires:  perl(Encode/MIME/Name.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(MIME/Words.pm)
BuildRequires:  perl(XSLoader.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Test/More.pm)
# Optional tests:
BuildRequires:  perl(YAML.pm)
Requires:       perl(Encode.pm) >= 2.23
Requires:       perl(File/ShareDir.pm) >= 0.05
Requires:       perl(MIME/Words.pm) >= 5.428


# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\((Encode/d
%filter_from_requires /^File::ShareDir/d
%filter_from_requires /^MIME::Words)\\)$/d

%description
Encode::JP::Mobile extends Encode module with Japanese emoticons for mobile
phones mapped into private area of Unicode.

%description -l ja_JP
Encode::JP::Mobile は Encode 用の拡張モジュールで、日本の携帯電話用絵文字を
Unicode の私用領域 (PRIVATE AREA) にマッピングします。

%prep
%setup -q -n Encode-JP-Mobile-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR="$RPM_BUILD_ROOT"
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;

%check
make test

%files
%doc Changes README TODO
%{perl_vendorarch}/*

%changelog
* Wed Feb 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_2
- update to new release by fcimport

* Sat Nov 10 2012 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1_1
- update to new release by fcimport

* Mon Oct 22 2012 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.28-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_3
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1_1
- fc import

